//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kViewAsIconID,
	
	// ----- Part Name
	kEditorUserString,
	
	// ----- PartKind
	kKind
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAbout)
{
	// ----- Icon ID
	kAboutIconID,
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFTable"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODF Release 1"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"ODFTable is a grid of cells, each of which can contain an embedded part. "
		"It supports embedding, drag and drop, cut/copy/paste, undo, and linking."
		"\r\r\r\r"									
		"Written by the ODF Team.\r"
	)
};