//========================================================================================
//
//	File:				Cell.h
//	Release Version:	$ ODF 1 $ 
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CELL_H
#define CELL_H

//========================================================================================
//	class CCell
//========================================================================================

class CCell
{
public:
	CCell() {fX = -1; fY = -1;}
	CCell(short x, short y) {fX = x; fY = y;}
	CCell(const CCell& other) {fX = other.fX; fY = other.fY;} 
	~CCell() {}
	
	CCell& operator=(const CCell& other) {fX = other.fX; fY = other.fY; return *this;}
	
	FW_Boolean operator==(const CCell& other) const {return other.fX == fX && other.fY == fY;}
	FW_Boolean operator!=(const CCell& other) const {return other.fX != fX || other.fY != fY;}
	
public:
	short			fX;
	short			fY;
};

#endif
